//////////////////////////////////////////////////////////////////////////////////
// Company: Lafayette College
// Engineer: Chris Nadovich <nadovicc@lafayette.edu>
// 
// Create Date:    16:17:22 11/26/2013 
// Design Name:    ECE 323 CPLD Board, STANDARD Configuration
// Module Name:    counter10 
// Project Name: 
// Target Devices: 
// Tool versions: 
// Description: 10 bit counter with syncronous reset and enable.
//
// Dependencies: 
//
// Revision: 
// Revision 0.01 - File Created
// Additional Comments: 
//
//////////////////////////////////////////////////////////////////////////////////
module counter10(
    input clk,
    input reset,
    input en,
    output reg [9:0] q
    );

	always @(posedge clk)
	  if(reset)
	    q<=0;
		 else if(en)
		   q<=q+1'b1;
  
endmodule
