@echo off

rem	%1 - block name

@echo Running %0 Netlister for "%1"....

@echo off

rem Arguments:
rem		%1 - block name

echo Generating Temporary Verilog Netlist....

rem Generating Verilog Netlist of %1 and Placing it in default .\genhdl directory , outfile=tempfile.v
call .\Netlisters\icdb2vlog.exe -icdbSnapshot=DxD -icdbPath=.\database  -block=%1 -ts=1ns/1ns -level=STD  -out=tempfile.v -pincomp=speccomp.ini

REM copying tempfile.v to project directory and deleting from .\genhdl
copy .\genhdl\tempfile.v tempfile.v
del .\genhdl\tempfile.v


echo Verilog Netlister Done

echo Generating Temporary Spice Netlist....

rem Generating Spice Netlist of %1 
call .\Netlisters\dxsim_wspice.exe -ehnzjq -c12 %1

REM  **********************************************
rem Other Netlisters found in DX designer - kept as reference
rem call .\Netlisters\wspicegui.exe -ehnzjq -c12 %1 
rem call h:\ece322\audio_project\beta\Netlisters\icdb2spc.exe -dracula -icdb=H:\ECE322\Audio_Project\Beta\database -project=h:\ece322\audio_project\beta\beta.prj  -out=H:/ECE322/Audio_Project/Beta/%1.cir 
rem -kh:\ece322\audio_project\beta\Netlisters\cdl.cfg %1 
REM  **********************************************

echo Spice Netlister Done

goto cont

rem -- this is used for ALL netlist versions --
:cont

if exist %1.cir copy %1.cir tempfile.cir
if exist tempfile.sub del tempfile.sub

echo .   
echo .  
echo .  
echo Here comes the Perl
echo .  

c:\Perl64\bin\perl .\Netlisters\perl_netlister.pl 

echo  . 
echo  . 
echo Perl Script Done
if exist %1.bak del %1.bak
if exist %1.sub ren %1.sub %1.bak
if exist %1.err del %1.err
if exist %1.ndc del %1.ndc
if exist %1.net del %1.net
if exist %1.baf del %1.baf
if exist %1.pkg del %1.pkg
if exist %1.xrf del %1.xrf
if exist %1.rat del %1.rat

copy tempfile.sub %1.sub
del tempfile.cir
del tempfile.sub
del tempfile.v
del %1.cir

IF NOT EXIST .\SPICE_Subcircuits\ mkdir SPICE_Subcircuits

copy %1.sub .\SPICE_Subcircuits\%1.sub
del %1.sub

:done
pause
exit

