//////////////////////////////////////////////////////////////////////////////////
// Company: Lafayette College
// Engineer: Chris Nadovich <nadovicc@lafayette.edu>
// 
// Create Date:    12:43:19 02/04/2014 
// Design Name: 
// Module Name:    d_flipflop 
// Project Name: 
// Target Devices: 
// Tool versions: 
// Description: D-flipflop with syncronous reset
//
// Dependencies: 
//
// Revision: 
// Revision 0.01 - File Created
// Additional Comments: 
//
//////////////////////////////////////////////////////////////////////////////////
module d_flipflop(
    input clk,
    input reset,
    input d,
    output reg q
    );
	 
	 always @(posedge clk)
	   if(reset)
		  q<=0;
		else
		  q<=d;


endmodule
